<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

require("MandaCorreos/FuncionSendMail.php");
require "libs/funciones.php";

require_once("clases/pdo/db.class.php");

$db = new DB();



$usr=$_REQUEST['usuario'];
$ParaEmail=$_REQUEST['email'];
$ParaNombre=$_REQUEST['nombre'];
$password=$_REQUEST['password'];

$param = array(
			":username" => (string) $username
			);
$db->qry_select("select rfc_cliente from usuariosweb where username = :username",$param);
if($result === false){
	if($db->ERROR_NO != 0){
		?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar al usuario. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
	}
}
$cursorUsuario = $db->CURSOR;

if($db->NUM_REGISTROS > 0){
	$param = array(
			":rfc_cliente" => (string) $cursorUsuario['rfc_cliente'];
			);
	$db->qry_select("select nombre_cliente from clienteweb where rfc_cliente = :rfc_cliente",$param);
	if($result === false){
		if($db->ERROR_NO != 0){
			?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
		}
	}
	if($db->NUM_REGISTROS > 0){
		$cursorCliente = $db->CURSOR;
		$razonSocial=$cursorCliente["nombre_cliente"];
	}
}



if(file_exists("config.ini")){
		$vlineas = file("config.ini");
		foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,23) == "CUERPO_CONFIRMA_CORREO="){
				$body=trim(str_replace("CUERPO_CONFIRMA_CORREO=","",$sLinea));
			}else if(substr($sLinea,0,23) == "ASUNTO_CONFIRMA_CORREO="){
				$SubjectMessage=trim(str_replace("ASUNTO_CONFIRMA_CORREO=","",$sLinea));
			}
		}
	$SubjectMessage = str_replace("<<RAZONSOCIALURL>>",$razonSocial,str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$ParaNombre,str_replace("<<EMAIL>>",$ParaEmail,$SubjectMessage))));
	$BodyHTMLFileMessage=str_replace("<<RAZONSOCIALURL>>",$razonSocial,str_replace("<<ID>>",$password,str_replace("<<EMAIL>>",$ParaEmail,str_replace("<<NOMBRE>>",$ParaNombre,str_replace("<<USERNAME>>",$usr,file_get_contents($body))))));
	$AdjuntoA="";
	$AdjuntoB="";
	$AdjuntoC="";
	$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
	$FROM = getINI("FROM_CORREO=","config.ini");
	//echo $ParaEmail." - ".$ParaNombre." - ".$SubjectMessage." - ".$BodyHTMLFileMessage." - ".$AdjuntoA." - ".$AdjuntoB." - ".$AdjuntoC;exit;
	if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
		if(!mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM))
			echo "false";
		else
			echo "true";
	}else{
		if(!SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC))
			echo "false";
		else
			echo "true";
	}
}
?>